Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
cURL
curl --request POST \ --url https://api.example.com/v1/agents/from-template \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "template_id": "<string>", "name": "<string>", "description": "<string>", "instructions": "<string>", "execution_mode": "<string>", "models": {}, "knowledge_bases": [ "<string>" ], "skills": [ "<string>" ], "tool_categories": [ "<string>" ], "suggested_prompts": [ "<string>" ], "generate_runtime_key": true } '
{ "agent": { "id": 123, "user_id": 123, "name": "<string>", "execution_mode": "<string>", "knowledge_bases": [ "<string>" ], "skills": [ "<string>" ], "tool_categories": [ "<string>" ], "suggested_prompts": [ "<string>" ], "status": "<string>", "created_at": "<string>", "updated_at": "<string>", "widget_enabled": true, "allowed_domains": [ "<string>" ], "share_enabled": true, "share_updated_at": "<string>", "description": "<string>", "instructions": "<string>", "models": {}, "logo_url": "<string>", "published_at": "<string>" }, "api_key": { "full_key": "<string>", "key_prefix": "<string>", "created_at": "2023-11-07T05:31:56Z" } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Body for POST /v1/agents/from-template.
POST /v1/agents/from-template
1
1 - 200
Successful Response
Show child attributes
Runtime API key returned once after creation or rotation.